Zum Hauptinhalt springen
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
records
Fügt Datensätze zum angegebenen Katalog hinzu
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/*+json' \
  --data '
[
  {
    "fields": {},
    "id": "<string>"
  }
]
'
{
  "errorRows": {},
  "insertedRowCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

catalogId
string
erforderlich

Katalog-ID. Sie finden diese in der Liste aller Kataloge.

Body

Hinzuzufügende Datensätze

Required array length: 1 - 5000 elements
fields
object
erforderlich

Datensatzfelder

id
string
erforderlich

Eindeutige Kennung des Datensatzes

Minimum string length: 1

Antwort

Der Vorgang wurde erfolgreich abgeschlossen. Die Details finden Sie in der Antwort.

errorRows
object
erforderlich

Liste der aufgetretenen Fehler

insertedRowCount
integer<int32>
erforderlich

Anzahl erfolgreich eingefügter Zeilen